# Generated by Django 3.2.18 on 2023-07-19 19:08

from django.db import migrations, models
import django.db.models.deletion


def copy_decision_from_nomination_to_voting_round(apps, schema_editor):
    FellowshipNominationDecision = apps.get_model(
        "colleges", "FellowshipNominationDecision"
    )
    for decision in FellowshipNominationDecision.objects.all():
        decision.voting_round = decision.nomination.voting_rounds.first()
        decision.save()


def copy_decision_from_voting_round_to_nomination(apps, schema_editor):
    FellowshipNominationDecision = apps.get_model(
        "colleges", "FellowshipNominationDecision"
    )
    for decision in FellowshipNominationDecision.objects.all():
        decision.nomination = decision.voting_round.nomination
        decision.save()


class Migration(migrations.Migration):
    dependencies = [
        ("colleges", "0039_nomination_add_events"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="fellowshipnominationdecision",
            options={
                "ordering": ["voting_round"],
                "verbose_name_plural": "Fellowship Nomination Decisions",
            },
        ),
        migrations.AddField(
            model_name="fellowshipnominationdecision",
            name="voting_round",
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="decision",
                to="colleges.fellowshipnominationvotinground",
            ),
        ),
        migrations.RunPython(
            copy_decision_from_nomination_to_voting_round,
            copy_decision_from_voting_round_to_nomination,
        ),
        migrations.RemoveField(
            model_name="fellowshipnominationdecision",
            name="nomination",
        ),
    ]
