# Generated by Django 4.2.15 on 2024-12-02 12:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("organizations", "0024_contactperson_info_source"),
        ("profiles", "0043_alter_profile_first_name_original_and_more"),
        ("funders", "0015_alter_grant_funder_alter_grant_recipient"),
    ]

    operations = [
        migrations.CreateModel(
            name="IndividualBudget",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("description", models.TextField(blank=True)),
                (
                    "budget_number",
                    models.CharField(blank=True, max_length=64, null=True),
                ),
                ("fundref_id", models.CharField(blank=True, max_length=64, null=True)),
                (
                    "holder",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="profiles.profile",
                    ),
                ),
                (
                    "organization",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="organizations.organization",
                    ),
                ),
            ],
            options={
                "ordering": ["organization", "holder"],
                "default_related_name": "individual_budgets",
            },
        ),
        migrations.AddConstraint(
            model_name="individualbudget",
            constraint=models.UniqueConstraint(
                fields=("organization", "budget_number"),
                name="unique_organization_budget_number",
                violation_error_message="This organization already has a budget with this number.",
            ),
        ),
        migrations.AddConstraint(
            model_name="individualbudget",
            constraint=models.CheckConstraint(
                check=models.Q(("holder", None), ("organization", None), _negated=True),
                name="organization_or_holder_must_be_set",
                violation_error_message="Either an organization or a holder must be set for the budget.",
            ),
        ),
    ]
