# Generated by Django 4.2.10 on 2024-03-14 17:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("submissions", "0147_auto_20240220_1404"),
        ("funders", "0015_alter_grant_funder_alter_grant_recipient"),
        ("ontology", "0009_populate_specialty_topics"),
        ("journals", "0128_populate_submission_object_types"),
    ]

    operations = [
        migrations.AlterField(
            model_name="issue",
            name="in_journal",
            field=models.ForeignKey(
                blank=True,
                help_text="Assign either a Volume or Journal to the Issue",
                limit_choices_to={"structure": "IO"},
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="journals.journal",
            ),
        ),
        migrations.AlterField(
            model_name="issue",
            name="in_volume",
            field=models.ForeignKey(
                blank=True,
                help_text="Assign either a Volume or Journal to the Issue",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="journals.volume",
            ),
        ),
        migrations.AlterField(
            model_name="publication",
            name="accepted_submission",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="submissions.submission"
            ),
        ),
        migrations.AlterField(
            model_name="publication",
            name="funders_generic",
            field=models.ManyToManyField(blank=True, to="funders.funder"),
        ),
        migrations.AlterField(
            model_name="publication",
            name="grants",
            field=models.ManyToManyField(blank=True, to="funders.grant"),
        ),
        migrations.AlterField(
            model_name="publication",
            name="in_issue",
            field=models.ForeignKey(
                blank=True,
                help_text="Assign either an Issue or Journal to the Publication",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="journals.issue",
            ),
        ),
        migrations.AlterField(
            model_name="publication",
            name="in_journal",
            field=models.ForeignKey(
                blank=True,
                help_text="Assign either an Issue or Journal to the Publication",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="journals.journal",
            ),
        ),
        migrations.AlterField(
            model_name="publication",
            name="topics",
            field=models.ManyToManyField(blank=True, to="ontology.topic"),
        ),
        migrations.AlterField(
            model_name="reference",
            name="publication",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="journals.publication"
            ),
        ),
        migrations.AlterField(
            model_name="volume",
            name="in_journal",
            field=models.ForeignKey(
                limit_choices_to={"structure": "IV"},
                on_delete=django.db.models.deletion.CASCADE,
                to="journals.journal",
            ),
        ),
        migrations.DeleteModel(
            name="OrgPubFraction",
        ),
    ]
