# Generated by Django 4.2.15 on 2024-09-27 09:21

from django.db import migrations, models
from django.utils import timezone


def add_assignment_deadline(apps, schema_editor):
    Submission = apps.get_model("submissions", "Submission")
    for submission in Submission.objects.filter(
        status="seeking_assignment",
        assignment_deadline__isnull=True,
    ):
        submission.assignment_deadline = (
            timezone.now() + submission.submitted_to.assignment_period
            if submission.submitted_to
            else None
        )
        submission.checks_cleared_date = timezone.now()
        submission.save()


class Migration(migrations.Migration):
    dependencies = [
        ("submissions", "0162_alter_refereeinvitation_referee"),
    ]

    operations = [
        migrations.AddField(
            model_name="submission",
            name="assignment_deadline",
            field=models.DateField(
                blank=True, null=True, verbose_name="assignment deadline"
            ),
        ),
        migrations.RunPython(
            add_assignment_deadline, reverse_code=migrations.RunPython.noop
        ),
    ]
